Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# RW_Mutex.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/RW_Mutex.inl"`

Include dependency graph for RW_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_RW_Mutex
| Wrapper for readers/writer locks. More...

## Detailed Description

Id
  RW_Mutex.h,v 4.5 2005/10/28 16:14:55 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>